/* tslint:disable */
/* eslint-disable */
/**
 * e-commerce-service
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.74
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import { CalculatedCampaignResponseDto } from './calculated-campaign-response-dto';

/**
 * 
 * @export
 * @interface CatalogItemBaseDto
 */
export interface CatalogItemBaseDto {
    /**
     * 
     * @type {string}
     * @memberof CatalogItemBaseDto
     */
    'id': string;
    /**
     * 
     * @type {string}
     * @memberof CatalogItemBaseDto
     */
    'currency': string;
    /**
     * 
     * @type {string}
     * @memberof CatalogItemBaseDto
     */
    'name': string;
    /**
     * 
     * @type {string}
     * @memberof CatalogItemBaseDto
     */
    'mainImage': string;
    /**
     * 
     * @type {Array<string>}
     * @memberof CatalogItemBaseDto
     */
    'otherImages': Array<string>;
    /**
     * 
     * @type {number}
     * @memberof CatalogItemBaseDto
     */
    'basePrice': number;
    /**
     * 
     * @type {string}
     * @memberof CatalogItemBaseDto
     */
    'organizationId': string;
    /**
     * 
     * @type {string}
     * @memberof CatalogItemBaseDto
     */
    'organizationName': string;
    /**
     * 
     * @type {string}
     * @memberof CatalogItemBaseDto
     */
    'organizationStatus': CatalogItemBaseDtoOrganizationStatusEnum;
    /**
     * 
     * @type {Array<CalculatedCampaignResponseDto>}
     * @memberof CatalogItemBaseDto
     */
    'calculatedCampaigns': Array<CalculatedCampaignResponseDto>;
    /**
     * 
     * @type {object}
     * @memberof CatalogItemBaseDto
     */
    'eVoucherTag': object;
    /**
     * 
     * @type {string}
     * @memberof CatalogItemBaseDto
     */
    'productType': CatalogItemBaseDtoProductTypeEnum;
}

export const CatalogItemBaseDtoOrganizationStatusEnum = {
    Verified: 'verified',
    Unverified: 'unverified'
} as const;

export type CatalogItemBaseDtoOrganizationStatusEnum = typeof CatalogItemBaseDtoOrganizationStatusEnum[keyof typeof CatalogItemBaseDtoOrganizationStatusEnum];
export const CatalogItemBaseDtoProductTypeEnum = {
    Main: 'main',
    Addons: 'addons',
    ECommerce: 'e_commerce',
    Program: 'program',
    EVoucher: 'e_voucher'
} as const;

export type CatalogItemBaseDtoProductTypeEnum = typeof CatalogItemBaseDtoProductTypeEnum[keyof typeof CatalogItemBaseDtoProductTypeEnum];


